/*
 *      L I S T _ c o u n t
 *
 *  This function is called when it is required
 *  to get the count of nodes in a list.
 *
 *
 * (c) Copyright 1996-1999 David J. Walker
 *     Email:  dave.walker@icl.com
 *
 *     Permission to copy and/or distribute granted under the
 *     following conditions:
 *
 *     1). This notice must remain intact.
 *     2). The author is not responsible for the consequences of use
 *         this software, no matter how awful, even if they
 *         arise from defects in it.
 *     3). Altered version must not be represented as being the
 *         original software.
 *
 *
 *  AMENDMENT HISTORY
 *  ~~~~~~~~~~~~~~~~~
 *  12 May 96   DJW   - First version
 */

#include <liblist.h>
#include "liblistx.h"


long    LIST_Count (list_t list)
{
    LIBDEBUG ("LIST_Count", \
           "list parameter is not a valid list instance", \
           _LIST_ListCheck(list))

    return (list->listclass->master->count)(list);
}

